Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 312801 - net-libs/libgrss: new package
Summary: net-libs/libgrss: new package
Status: VERIFIED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] GNOME (show other bugs)
Hardware: All Linux
: High enhancement (vote)
Assignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-04-02 12:52 UTC by Roberto Guido
Modified: 2010-04-10 11:14 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Roberto Guido 2010-04-02 12:52:56 UTC
libgrss is a Glib-based library for feeds management.
Release 0.3 is an optional dependency for Tracker starting release 0.7.26, I would like if it would be packaged before upgrade to that version so to spot as soon as possible problems and troubles.

Code is available here: http://git.gnome.org/browse/libgrss/
More informations there: http://live.gnome.org/Libgrss


Reproducible: Always

Steps to Reproduce:
Comment 1 Gilles Dartiguelongue gentoo-dev 2010-04-02 13:13:45 UTC
I seems that this package currently only works with snapshots so it is not suitable for immediate inclusion.
Comment 2 Tiziano Müller (RETIRED) gentoo-dev 2010-04-03 07:08:19 UTC
A live/scm ebuild is in my overlay (as net-libs/libgrss).
tracker >=-0.8.0 needs it for it's miner-rss support, although some files are missing in 0.8.0 to successfully build it.
Comment 3 Fabio Erculiani (RETIRED) gentoo-dev 2010-04-03 07:46:56 UTC
I work for the company which funded the development of libgrss (and the inclusion of the rss miner into tracker) and if nobody else steps up I would like to become the maintainer myself.
Comment 4 Gilles Dartiguelongue gentoo-dev 2010-04-03 11:41:19 UTC
@lxnay, feel free to do it, you are most likely the best placed to handle this package.
Comment 5 Fabio Erculiani (RETIRED) gentoo-dev 2010-04-05 13:41:57 UTC
(In reply to comment #4)
> @lxnay, feel free to do it, you are most likely the best placed to handle this
> package.

Ok, I will grab it from dev-zero overlay (if he agrees). In the meantime, it would be nice to have:

- package description (max 80 chars)
- tarballs (we prefer them over live ebuilds)
- homepage (if any)

Thanks
Comment 6 Tiziano Müller (RETIRED) gentoo-dev 2010-04-05 15:35:14 UTC
(In reply to comment #5)
> (In reply to comment #4)
> > @lxnay, feel free to do it, you are most likely the best placed to handle this
> > package.
> 
> Ok, I will grab it from dev-zero overlay (if he agrees). In the meantime, it
> would be nice to have:
> 
> - package description (max 80 chars)
> - tarballs (we prefer them over live ebuilds)
> - homepage (if any)
> 
> Thanks
> 

@lxnay: yes, you can grab it from my overlay and reassign the copyright.

Maybe I misunderstand you, but from whom do you expect to get the package description, tarballs and homepage? I mean: the website is mentioned below, a package description is also there and for tarballs you have to ask upstream. The ebuild in my overlay is a live-git ebuild.

And if someone in your company is still involved in tracker: they should fix the rss-miner stuff in tracker:

[...]
Making all in miners
make[3]: Entering directory `/home/tiziano/entwicklung/gentoo/ebuilds/tracker-0.8.0/data/miners'
make[3]: Nothing to be done for `all'.
make[3]: Leaving directory `/home/tiziano/entwicklung/gentoo/ebuilds/tracker-0.8.0/data/miners'
make[3]: Entering directory `/home/tiziano/entwicklung/gentoo/ebuilds/tracker-0.8.0/data'
make[3]: *** No rule to make target `tracker-miner-rss.desktop.in.in', needed by `tracker-miner-rss.desktop.in'.  Stop.
make[3]: Leaving directory `/home/tiziano/entwicklung/gentoo/ebuilds/tracker-0.8.0/data'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/home/tiziano/entwicklung/gentoo/ebuilds/tracker-0.8.0/data'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/home/tiziano/entwicklung/gentoo/ebuilds/tracker-0.8.0'
make: *** [all] Error 2
Comment 7 Fabio Erculiani (RETIRED) gentoo-dev 2010-04-05 15:43:02 UTC
@dev-zero: Ok I forgot to refresh the project page. So we only need tarballs. Roberto told me he's waiting for a GNOME infra dev to ack his request, and yes, I'm going to forward your request to Michele Tameni, who is maintaining that code in Tracker.
Comment 8 Michele Tameni 2010-04-05 22:04:14 UTC
(In reply to comment #6)
> And if someone in your company is still involved in tracker: they should fix
> the rss-miner stuff in tracker:
> 

Hi, file data/tracker-miner-rss.desktop.in.in are missing in the tarball ( but present in git tag of 0.8.0), i've just mailed the tracker main mantainer for get this included soon.
Thanks for spot the problem.
Michele Tameni
Comment 9 Roberto Guido 2010-04-08 13:38:05 UTC
(In reply to comment #7)
> So we only need tarballs.
> Roberto told me he's waiting for a GNOME infra dev to ack his request
> 
Due slow response from Gnome sysadmins I've provided to host tarballs on my own VPS, here -> http://gtk.mplat.es/libgrss/tarballs/
Comment 10 Fabio Erculiani (RETIRED) gentoo-dev 2010-04-10 10:15:02 UTC
Assigning to me
Comment 11 Fabio Erculiani (RETIRED) gentoo-dev 2010-04-10 11:14:28 UTC
--- ChangeLog   1970-01-01 01:00:00.000000000 +0100
+++ ChangeLog.new       2010-04-10 12:11:25.417939191 +0200
@@ -0,0 +1,11 @@
+# ChangeLog for net-libs/libgrss
+# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
+# $Header$
+
+*libgrss-0.3.0 (10 Apr 2010)
+
+  10 Apr 2010; Fabio Erculiani <lxnay@gentoo.org> +libgrss-0.3.0.ebuild,
+  +metadata.xml:
+  New package, thanks to people involved in #312801, in particular to
+  Tiziano Mueller (dev-zero)
+

Thanks everybody involved.
Reviews are welcome :-) (For any problem with the just committed code, please reopen).